#if !defined(AFX_EDITORCHILDWND_H__D588AF27_E1E9_11D2_A5F1_00902712C9AE__INCLUDED_)
#define AFX_EDITORCHILDWND_H__D588AF27_E1E9_11D2_A5F1_00902712C9AE__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// EditorChildWnd.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CEditorChildWnd frame

class CEditorChildWnd : public CMDIChildWnd
{
	DECLARE_DYNCREATE(CEditorChildWnd)
protected:
	CEditorChildWnd();           // protected constructor used by dynamic creation

// Attributes
public:

// Operations
public:
	void LoadState();
	void SaveState();
	void ToggleVisible();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CEditorChildWnd)
	public:
	virtual BOOL DestroyWindow();
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CEditorChildWnd();

	// Generated message map functions
	//{{AFX_MSG(CEditorChildWnd)
	afx_msg void OnClose();
	afx_msg void OnDestroy();
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EDITORCHILDWND_H__D588AF27_E1E9_11D2_A5F1_00902712C9AE__INCLUDED_)
